| v_mix Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XV_mix_Config Struct Reference

This typedef contains configuration information for the mixer core Each core instance should have a configuration structure associated. More...

## Data Fields
u16 | DeviceId
| Unique ID of device. More...
UINTPTR | BaseAddress
| The base address of the core instance. More...
u16 | PixPerClk
| Samples Per Clock supported by core instance. More...
u16 | MaxWidth
| Maximum columns supported by core instance. More...
u16 | MaxHeight
| Maximum rows supported by core instance. More...
u16 | MaxDataWidth
| Maximum Data width of each channel. More...
u16 | ColorFormat
| Master layer color format. More...
u8 | NumLayers
| Number of layers supported. More...
u8 | LogoEn
| Logo layer support indicator flag. More...
u16 | MaxLogoWidth
| Maximum columns supported by log layer. More...
u16 | MaxLogoHeight
| Maximum rows supported by log layer. More...
u16 | LogoColorKeyEn
| Logo layer color key feature indicator flag. More...
u16 | LogoPixAlphaEn
| Logo layer per pixel alpha feature indicator flag. More...
u16 | CscCoeffsRegsEn
| Logo layer per pixel alpha feature indicator flag. More...
XVMix_AlphaFlag | AlphaFlag
| < Alpha feature enable flag per memory layer More...
XVMix_ScaleFlag | ScaleFlag
| < Scaling feature enable flag per memory layer More...
XVMix_LayerMaxWidth | LyrMaxWidth
| < Maximum width per memory layer More...
XVMix_LayerIntfType | LyrIntfType
| < Layer Interface Type More...
XVMix_LayerColorFormat | LyrColorFmt
| < Layer Interface Type More...

## Detailed Description

This typedef contains configuration information for the mixer core Each core instance should have a configuration structure associated.

## Field Documentation

XVMix_AlphaFlag XV_mix_Config::AlphaFlag

< Alpha feature enable flag per memory layer

UINTPTR XV_mix_Config::BaseAddress

The base address of the core instance.

Referenced by XVMix_DbgLayerInfo(), XVMix_DbgReportStatus(), XVMix_GetLayerAlpha(), XVMix_GetLayerBufferAddr(), XVMix_GetLayerChromaBuffer2Addr(), XVMix_GetLayerChromaBufferAddr(), XVMix_GetLayerColorFormat(), XVMix_GetLayerScaleFactor(), XVMix_GetLayerWindow(), XVMix_LoadLogo(), XVMix_LoadLogoPixelAlpha(), XVMix_MoveLayerWindow(), XVMix_SetLayerAlpha(), XVMix_SetLayerBufferAddr(), XVMix_SetLayerChromaBuffer2Addr(), XVMix_SetLayerChromaBufferAddr(), XVMix_SetLayerScaleFactor(), and XVMix_SetLayerWindow().

u16 XV_mix_Config::ColorFormat

Master layer color format.

Referenced by XVMix_GetLayerColorFormat().

u16 XV_mix_Config::CscCoeffsRegsEn

Logo layer per pixel alpha feature indicator flag.

u16 XV_mix_Config::DeviceId

Unique ID of device.

u16 XV_mix_Config::LogoColorKeyEn

Logo layer color key feature indicator flag.

u8 XV_mix_Config::LogoEn

Logo layer support indicator flag.

u16 XV_mix_Config::LogoPixAlphaEn

Logo layer per pixel alpha feature indicator flag.

XVMix_LayerColorFormat XV_mix_Config::LyrColorFmt

< Layer Interface Type

XVMix_LayerIntfType XV_mix_Config::LyrIntfType

< Layer Interface Type

XVMix_LayerMaxWidth XV_mix_Config::LyrMaxWidth

< Maximum width per memory layer

u16 XV_mix_Config::MaxDataWidth

Maximum Data width of each channel.

Referenced by XVMix_DbgReportStatus().

u16 XV_mix_Config::MaxHeight

Maximum rows supported by core instance.

Referenced by XVMix_SetLayerWindow(), and XVMix_SetVidStream().

u16 XV_mix_Config::MaxLogoHeight

Maximum rows supported by log layer.

Referenced by XVMix_LoadLogo(), XVMix_LoadLogoPixelAlpha(), and XVMix_SetLayerWindow().

u16 XV_mix_Config::MaxLogoWidth

Maximum columns supported by log layer.

Referenced by XVMix_LoadLogo(), XVMix_LoadLogoPixelAlpha(), and XVMix_SetLayerWindow().

u16 XV_mix_Config::MaxWidth

Maximum columns supported by core instance.

Referenced by XVMix_SetVidStream().

u8 XV_mix_Config::NumLayers

Number of layers supported.

u16 XV_mix_Config::PixPerClk

Samples Per Clock supported by core instance.

Referenced by XVMix_DbgReportStatus(), XVMix_LoadLogo(), XVMix_LoadLogoPixelAlpha(), XVMix_MoveLayerWindow(), XVMix_SetLayerBufferAddr(), XVMix_SetLayerChromaBuffer2Addr(), XVMix_SetLayerChromaBufferAddr(), and XVMix_SetLayerWindow().

XVMix_ScaleFlag XV_mix_Config::ScaleFlag

< Scaling feature enable flag per memory layer